Foros del Web » Programando para Internet » PHP »

Ayuda con php_gd2.dll en PHP/WIN

Estas en el tema de Ayuda con php_gd2.dll en PHP/WIN en el foro de PHP en Foros del Web. Hola gente ... Quiero instalar la extension php_gd2.dll, en un Windows XP con Apache corriendo como servidor. En mi PHP.INI, agregué el path a las ...
  #1 (permalink)  
Antiguo 20/03/2005, 11:33
 
Fecha de Ingreso: marzo-2005
Mensajes: 9
Antigüedad: 12 años, 8 meses
Puntos: 0
Ayuda con php_gd2.dll en PHP/WIN

Hola gente ...

Quiero instalar la extension php_gd2.dll, en un Windows XP con Apache corriendo como servidor.

En mi PHP.INI, agregué el path a las extensiones de PHP (en donde esta el archivo php_gd2.dll", de la siguiente forma:

extension_dir = "c:\php\extensions"

Y posteriormente descomenté la linea "extension=php_gd2.dll"

Con eso supuestamente tendría que andar todo OK, pero al reiniciar Apache, me tira el siguiente error:

Unknown(): Unable to load dynamic library 'c:\php\extensions\php_gd2.dll' - The specified procedure could not be found

Que estoy haciendo mal ? Busqué en Google y no encontré nada, puse el .dll en /windows y nada ... en /windows/system32 y nada ...

Alguna ayuda ? (la extension la uso porque quiero probar localmente el script Pixel Post)


Última edición por rgali; 20/03/2005 a las 11:45
  #2 (permalink)  
Antiguo 20/03/2005, 11:53
 
Fecha de Ingreso: enero-2004
Ubicación: Salto
Mensajes: 484
Antigüedad: 13 años, 11 meses
Puntos: 2
el problema es q no encuentra la .dll, tienes más configurado el path. Si es PHP 5, en lugar de extensions simplificaron la carpeta a ext
__________________
Dios dira que esto no es justo, pero lo sera...
  #3 (permalink)  
Antiguo 20/03/2005, 11:56
 
Fecha de Ingreso: marzo-2005
Mensajes: 9
Antigüedad: 12 años, 8 meses
Puntos: 0
sebtev ... te adjunto como tengo mi php.ini (tengo php 4.3)

;;;;;;;;;;;;;;;;;;;;;;;;;
; Paths and Directories ;
;;;;;;;;;;;;;;;;;;;;;;;;;

; UNIX: "/path1:/path2"
;include_path = ".:/php/includes"
;
; Windows: "\path1;\path2"
;include_path = ".;c:\php\includes"

; The root of the PHP pages, used only if nonempty.
; if PHP was not compiled with FORCE_REDIRECT, you SHOULD set doc_root
; if you are running php as a CGI under any web server (other than IIS)
; see documentation for security issues. The alternate is to use the
; cgi.force_redirect configuration below
doc_root =

; The directory under which PHP opens the script using /~usernamem used only
; if nonempty.
user_dir =

; Directory in which the loadable extensions (modules) reside.
extension_dir = "c:\php\extensions"

  #4 (permalink)  
Antiguo 20/03/2005, 15:45
 
Fecha de Ingreso: enero-2004
Ubicación: Salto
Mensajes: 484
Antigüedad: 13 años, 11 meses
Puntos: 2
http://bugs.php.net/bug.php?id=23861
Es lo q te puedo alcanzar, la única solución q da un usuario q ha tenido el mismo problema tuyo es usar la versión 4.3.1 fijate bien q versión usas vos
__________________
Dios dira que esto no es justo, pero lo sera...
  #5 (permalink)  
Antiguo 20/03/2005, 23:43
 
Fecha de Ingreso: marzo-2005
Mensajes: 9
Antigüedad: 12 años, 8 meses
Puntos: 0
Muchas gracias ... me sirvió.

Al final terminé desinstalando el PHP (versión 4.3.9) e instalé la 4.3.10. Copié todos los modulos en /DLL y /SAPI al raiz de PHP y anduvo.

:D
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 21:02.